<?php

	include("../conexion.php");
	set_time_limit(800);

	if (substr($_FILES['excel']['name'],-3)=="csv")
	{
		$fecha		= date("Y-m-d");
		$carpeta 	= "tmp_excel/";
		$excel  	= $fecha."-".$_FILES['excel']['name'];

		move_uploaded_file($_FILES['excel']['tmp_name'], "$carpeta$excel");
		
		$row = 1;

		$fp = fopen ("$carpeta$excel","r");

		//fgetcsv. obtiene los valores que estan en el csv y los extrae.

		while ($data = fgetcsv ($fp, 2000, ";"))
		{
			//si la linea es igual a 1 no guardamos por que serian los titulos de la hoja del excel.
			if ($row!=1)
			{

				$num = count($data);

			echo	$insertar="INSERT  INTO venta_detalle (vend_id, vend_art_id, vend_referencia, vend_nombre, vend_cantidad, vend_cantidad_dev, vend_iva, vend_desc, vend_costo, vend_precio, vend_precio_real, empresa, ventas_ven_id) 
				values('$data[1]','$data[2]','$data[3]','$data[4]','$data[5]','$data[6]','$data[7]','$data[8]','$data[9]','$data[10]','$data[11]','$data[12]','$data[13]')";
				$sql = mysqli_query($con, $insertar);

			
			
			}

		$row++;

		}

		fclose ($fp);

		echo "<div>La importacion de archivo subio satisfactoriamente</div >";
		
		exit;

	}

?>